<?php
/**
 * Created by PhpStorm.
 * User: MYN
 * Date: 2/25/2019
 * Time: 4:01 PM
 */


/*
	Plugin Name: Current Post Category
	Plugin URI: http://www.binarycarpenter.com/
	Description: Widget to display posts of current post's category. Ideal for big sites
	Author: bc2018
	Version: 1.0.0
	Author URI: http://www.binarycarpenter.com/
	Text Domain: current-post-category
*/


include_once 'BC_Cat_Widget.php';


function bc_current_category_register_widget() {
    register_widget( 'BC_Cat_Widget' );
}

add_action( 'widgets_init', 'bc_current_category_register_widget' );



add_action('wp_enqueue_scripts', 'bc_uic_load_frontend_scripts', 1000);

function bc_uic_load_frontend_scripts()
{
    wp_register_style('bc-cat-widget-frontend-bundle-style', plugins_url( 'bundle/css/bc-cat-widget-front.css', __FILE__ ));
    wp_enqueue_style('bc-cat-widget-frontend-bundle-style');


}